Bug 137867 - Cannot compile ports/databases/freetds (FreeBSD 8.0 BETA-2)
Summary: Cannot compile ports/databases/freetds (FreeBSD 8.0 BETA-2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-17 08:10 UTC by Andrei V. Lavreniyuk
Modified: 2009-09-19 14:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei V. Lavreniyuk 2009-08-17 08:10:05 UTC
gmake[2]: Entering directory `/usr/ports/databases/freetds/work/freetds-0.64/src/apps'
/bin/sh /usr/local/bin/libtool --tag=CC --mode=link cc  -O2 -fno-strict-aliasing -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-strict-aliasing -Wformat -Wformat-security -s -fstack-protector -fstack-protector  -L/usr/local/lib -o tsql  tsql.o ../tds/libtds_objects.la ../replacements/libreplacements.la  -liconv -static-libgcc -lreadline  -lreadline
libtool: link: cc -O2 -fno-strict-aliasing -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-strict-aliasing -Wformat -Wformat-security -s -fstack-protector -fstack-protector -o tsql tsql.o -static-libgcc  -L/usr/local/lib ../tds/.libs/libtds_objects.a ../replacements/.libs/libreplacements.a /usr/local/lib/libiconv.so -lreadline -Wl,-rpath -Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
./tds/.libs/libtds_objects.a(net.o)(.text+0x24): In function `tds_ssl_deinit':
: undefined reference to `gnutls_deinit'
./tds/.libs/libtds_objects.a(net.o)(.text+0x40): In function `tds_ssl_deinit':
: undefined reference to `gnutls_certificate_free_credentials'
./tds/.libs/libtds_objects.a(net.o)(.text+0x82): In function `tds_ssl_init':
: undefined reference to `gnutls_global_init'
./tds/.libs/libtds_objects.a(net.o)(.text+0x9d): In function `tds_ssl_init':
: undefined reference to `gnutls_deinit'
./tds/.libs/libtds_objects.a(net.o)(.text+0xac): In function `tds_ssl_init':
: undefined reference to `gnutls_certificate_free_credentials'
./tds/.libs/libtds_objects.a(net.o)(.text+0xb4): In function `tds_ssl_init':
: undefined reference to `gnutls_strerror'
./tds/.libs/libtds_objects.a(net.o)(.text+0xfc): In function `tds_ssl_init':
: undefined reference to `gnutls_global_set_log_level'
./tds/.libs/libtds_objects.a(net.o)(.text+0x10a): In function `tds_ssl_init':
: undefined reference to `gnutls_global_set_log_function'
./tds/.libs/libtds_objects.a(net.o)(.text+0x115): In function `tds_ssl_init':
: undefined reference to `gnutls_certificate_allocate_credentials'
./tds/.libs/libtds_objects.a(net.o)(.text+0x138): In function `tds_ssl_init':
: undefined reference to `gnutls_init'
./tds/.libs/libtds_objects.a(net.o)(.text+0x15a): In function `tds_ssl_init':
: undefined reference to `gnutls_transport_set_ptr'
./tds/.libs/libtds_objects.a(net.o)(.text+0x16f): In function `tds_ssl_init':
: undefined reference to `gnutls_transport_set_pull_function'
./tds/.libs/libtds_objects.a(net.o)(.text+0x184): In function `tds_ssl_init':
: undefined reference to `gnutls_transport_set_push_function'
./tds/.libs/libtds_objects.a(net.o)(.text+0x18f): In function `tds_ssl_init':
: undefined reference to `gnutls_set_default_priority'
./tds/.libs/libtds_objects.a(net.o)(.text+0x1a4): In function `tds_ssl_init':
: undefined reference to `gnutls_cipher_set_priority'
./tds/.libs/libtds_objects.a(net.o)(.text+0x1b9): In function `tds_ssl_init':
: undefined reference to `gnutls_compression_set_priority'
./tds/.libs/libtds_objects.a(net.o)(.text+0x1ce): In function `tds_ssl_init':
: undefined reference to `gnutls_kx_set_priority'
./tds/.libs/libtds_objects.a(net.o)(.text+0x1e3): In function `tds_ssl_init':
: undefined reference to `gnutls_mac_set_priority'
./tds/.libs/libtds_objects.a(net.o)(.text+0x1fd): In function `tds_ssl_init':
: undefined reference to `gnutls_credentials_set'
./tds/.libs/libtds_objects.a(net.o)(.text+0x218): In function `tds_ssl_init':
: undefined reference to `gnutls_handshake'
./tds/.libs/libtds_objects.a(net.o)(.text+0x2d2): In function `tds_tls_deinit':
: undefined reference to `gnutls_global_deinit'
./tds/.libs/libtds_objects.a(net.o)(.text+0x6f0): In function `tds_write_packet':
: undefined reference to `gnutls_record_send'
./tds/.libs/libtds_objects.a(net.o)(.text+0xab1): In function `goodread':
: undefined reference to `gnutls_record_recv'
gmake[2]: *** [tsql] Ошибка 1
gmake[2]: Leaving directory `/usr/ports/databases/freetds/work/freetds-0.64/src/apps'
gmake[1]: *** [all-recursive] Ошибка 1
gmake[1]: Leaving directory `/usr/ports/databases/freetds/work/freetds-0.64/src'
gmake: *** [all-recursive] Ошибка 1
*** Error code 1

Stop in /usr/ports/databases/freetds.
*** Error code 1

Stop in /usr/ports/databases/freetds.

How-To-Repeat: # cd /usr/ports/databases/freetds && make


Info:

# pkg_info -E gnut\*
gnutls-2.8.3
Comment 1 Edwin Groothuis freebsd_committer 2009-08-17 08:10:12 UTC
Maintainer of databases/freetds,

Please note that PR ports/137867 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137867

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-17 08:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Peter Lai 2009-08-18 20:53:42 UTC
This port is more or less deprecated, it exists for backward
compatibility to some other ports (PHP4?).
Does databases/freetds-devel break in the same way? (I don't have a
freebsd8 mach yet)

On Mon, Aug 17, 2009 at 3:10 AM, Edwin Groothuis<edwin@freebsd.org> wrote:
> Maintainer of databases/freetds,
>
> Please note that PR ports/137867 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/137867
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Boris B.Samorodov 2009-08-18 21:42:37 UTC
Can't confirm this for 8-BETA2 both i386 and amd64:
http://tba.bsam.ru/tb/logs/8-i386-exp/freetds-0.64_4,1.log
http://tba.bsam.ru/tb/logs/8-amd64-exp/freetds-0.64_4,1.log

From your log I'd say that a recent libtool change at the
ports tree may be the case here. Please take a look at
/usr/ports/UPDATING.

-- 
HTH and WBR, bsam
Comment 5 Andrei V. Lavreniyuk 2009-08-22 08:09:12 UTC
Hi!


Cannot compile if  WITHOUT_OPENSSL=true and WITH_GNUTLS=true.

If WITH_OPENSSL=true WITHOUT_GNUTLS=true then compile fine.




-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 6 Andrei V. Lavreniyuk 2009-09-12 11:33:09 UTC
Hi!


patch-configure

----------------------

--- configure.orig      2006-07-01 18:10:31.000000000 +0300
+++ configure   2009-09-12 12:28:33.000000000 +0300
@@ -20088,8 +20088,8 @@
  #define HAVE_GNUTLS 1
  _ACEOF

-       CPPFLAGS="$CPPFLAGS `libgnutls-config --cflags`"
-       NETWORK_LIBS="$NETWORK_LIBS `libgnutls-config --libs`"
+       CPPFLAGS="$CPPFLAGS `pkg-config --cflags gnutls`"
+       NETWORK_LIBS="$NETWORK_LIBS `pkg-config --libs gnutls`"
  else
         echo "$as_me:$LINENO: checking if openssl is wanted" >&5
  echo $ECHO_N "checking if openssl is wanted... $ECHO_C" >&6


---------------------


-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 7 Martin Wilke freebsd_committer 2009-09-19 13:54:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2009-09-19 13:54:50 UTC
miwi        2009-09-19 12:54:36 UTC

  FreeBSD ports repository

  Added files:
    databases/freetds/files patch-configure 
  Log:
  - Fix build if gnuTLS enabled is
  
  PR:             137867
  Reported by:    Andrei Lavreniyuk <andy.lavr@reactor-xg.kiev.ua>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +13 -0     ports/databases/freetds/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"